package com.usky.dxtop.controller.web.business;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.usky.dxtop.common.core.domain.ApiResult;
import com.usky.dxtop.model.DreOrderNoticeLog;
import com.usky.dxtop.service.DreOrderNoticeLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * 推送日志
 * @author yq
 * @since 2022-08-18
 */
@RestController
@RequestMapping("/dreOrderNoticeLog")
public class DreOrderNoticeLogController {


    @Autowired
    private DreOrderNoticeLogService dreOrderNoticeLogService;




    @PutMapping("/updateByUser")
    public ApiResult<Void> updateByUser(DreOrderNoticeLog dreOrderNoticeLog){
        dreOrderNoticeLog.setReadTime(new Date());
        LambdaQueryWrapper<DreOrderNoticeLog> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper
                .eq(DreOrderNoticeLog::getOrderId,dreOrderNoticeLog.getOrderId())
                .eq(DreOrderNoticeLog::getNoticeUserId,dreOrderNoticeLog.getNoticeUserId());
        dreOrderNoticeLogService.update(dreOrderNoticeLog,queryWrapper);
        return ApiResult.success();
    }

}

